<style>
    body{margin: 0; padding: 0;}
    #container{display: flex;
        width: 100%;
    justify-content: space-between; 
    }
    #container>div{display:block;  border: 1px solid; box-sizing: border-box; min-height: 100vh; }
    #container>div:nth-child(1){flex: 0 0 200px;}
    #container>div:nth-child(2){flex: 1 1 auto; min-width:100px}
    #container>div:nth-child(3){flex: 0 0 300px;}
</style>


<div id="container">
    <div><input type="text" id="input"  onkeyup="changeHandle(event,'val')"></div>
    <div>
        <select name="cars" id="type" onchange="changeHandle(event,'select')">
        <option value="0">isPrime</option>
        <option value="1">isFibonacci</option>
      </select>
    </div>
    <div id="output"></div>
    </div>
</div>

<script>
    var select=0
    var input = document.getElementById("input")
    var output = document.getElementById("output")
    function changeHandle(e,type){
        // Check empty input    
        if(!input.value) {
            output.innerHTML = "" 
            return;}

        var result = null;
        var myInput = Math.round(input.value)

        // Check number input
        if(isNaN(myInput )) {
            output.innerHTML = "error input"
            return
        }


        if(type==="select"){
            select = e.target.value
            result = select == 0 ? isPrime(myInput) : isFibonacci(myInput)
        }else{

            result = select == 0 ? isPrime(myInput) : isFibonacci(myInput)
        }

        output.innerHTML = result
    }

function isPrime(value){
      
        if( [1,2].includes(value) ) return true;
        for(i=2 ; i< Math.round(value/2) ; i++){
           if(value%i==0) return false
        }
        return true
}

function isFibonacci( n)
{    
    const isPerfectSquare = ( x) =>
        {
            let s = parseInt(Math.sqrt(x));
            return (s * s == x);
        }
    // n is Fibinacci if one of 5*n*n + 4 or 5*n*n - 4 or both
    // is a perferct square
    return isPerfectSquare(5 * n * n + 4) ||
           isPerfectSquare(5 * n * n - 4);
}
 
</script>

